# First synchronisation of files

We will go through the first steps to get gin working with your computer version of the data, this is the version 1 of this tutorial meant for windows users.
This tutorial take for granted you have created, or have write access to a repository on the gin platform.

A 5 min video is available for download in the `firststeps`folder in this repository.

NB: this is version 1, we are working on better scripts and a new installation method.



## Install gin (30 min)


- Download the latest gin-cli (up to 10 minutes) [here](https://gin.g-node.org/G-Node/Info/wiki/GIN+CLI+Setup#windows)
- extract the downloaded files (up to 20 minutes)
- double click the set-global file (seconds)
- if not working, look at the information of that file and change security settings
- test: use the command prompt (open via writing cmd in the folder address), and type `gin login` if it ask for a password, it means the installation worked.



## Download the repository

- go to a parent folder where to save your repository files
- Open a prompt by typing `cmd`in the address bar
- In the browser, go to your repository, and copy the text you got from the GIN button (next to HTTPS and SSH buttons)
- In the prompt, paste the text (you need to right-click, command V does not work in the prompt)
- You may need to type `gin login` and give your credentials first.
- Wait until the files are downloaded

## synchronisation

- You can now add files in the folders as you would normally do on your computer
- In particular, add the sync.bat file you find [here](https://gin.g-node.org/gin4RRI/gin-scripts/src/master/sync.bat), if none is present
- When you are finished, double click sync.bat file, it should synchronise your changes with the server.
- NB: big files are only downloaded if you modify the sync file (open it with a text editor) or use the `gin download .` command while the prompt is directing to the main folder of your repository.

# installation not working

- move the files to a location where you will save your repositories.
- double click the `gin-shell` file
- you will not be able to use scripts and will need to open the `gin-shell` file to give gin commands via the prompt.
   - open `gin-shell`
   - type: `gin login`
   - type `gin sync`
   - type: `gin upload .`(the dot is important) 






